﻿using System.Windows;
using Telerik.Windows.Controls;

namespace SL_RadGridView_Template
{
	public class PropertyValueDataTemplateSelector : DataTemplateSelector
	{
		public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
		{
			if (((Item)item).PropertyType == typeof(string))
				return this.TextTemplate;
			else
				return this.EnumTemplate;

		}

		public DataTemplate TextTemplate { get; set; }
		public DataTemplate EnumTemplate { get; set; }
	}
}